Create environment
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
auth0_client_id: '<string>',
default_timeout_seconds: 3600
})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/environments"
payload = {
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>",
"default_timeout_seconds": 3600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>",
"default_timeout_seconds": 3600
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"type": "development",
"auth0_client_id": "<string>",
"api_version": "<string>",
"default_timeout_seconds": 123,
"is_active": true,
"rate_limit_rpm": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Environments
Create environment
Create a new environment for the current platform. Provide the Auth0 M2M client_id that will be used for API access in this environment.
POST
/
v1
/
platforms
/
me
/
environments
Create environment
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
auth0_client_id: '<string>',
default_timeout_seconds: 3600
})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me/environments"
payload = {
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>",
"default_timeout_seconds": 3600
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api-staging.keystoneos.xyz/v1/platforms/me/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"auth0_client_id": "<string>",
"default_timeout_seconds": 3600
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"type": "development",
"auth0_client_id": "<string>",
"api_version": "<string>",
"default_timeout_seconds": 123,
"is_active": true,
"rate_limit_rpm": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Auth0 JWT access token. See Authentication for details.
Body
application/json
Response
Successful Response
Available options:
development, staging, production